
//顶点着色器

attribute vec4 vPosition;//顶点坐标；相当于相机的四个点

attribute vec4 vCoord;//纹理坐标；用于上色

uniform mat4 vMatrix;//变换矩阵

varying vec2 aCoord;//计算结果、传递给片元着色器

void main(){
    gl_Position = mPosition;
    aCoord = (vMatrix * vCoord).xy;
}